## Требования

- Helm 3+

## Установка

```console
helm dep update
helm -n upgrade --install prometheus-elasticsearch-exporter -f values.yml .
```

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| dnsConfig | object | `{}` |  |
| env | object | `{}` |  |
| envFromSecret | string | `""` |  |
| es.all | bool | `true` |  |
| es.cluster_settings | bool | `false` |  |
| es.indices | bool | `true` |  |
| es.indices_settings | bool | `true` |  |
| es.shards | bool | `true` |  |
| es.snapshots | bool | `true` |  |
| es.ssl.ca.path | string | `"/ssl/ca.pem"` |  |
| es.ssl.client.enabled | bool | `true` |  |
| es.ssl.client.keyPath | string | `"/ssl/client.key"` |  |
| es.ssl.client.pemPath | string | `"/ssl/client.pem"` |  |
| es.ssl.enabled | bool | `false` |  |
| es.ssl.useExistingSecrets | bool | `false` |  |
| es.sslSkipVerify | bool | `false` |  |
| es.timeout | string | `"30s"` |  |
| es.uri | string | `"http://localhost:9200"` |  |
| extraEnvSecrets | object | `{}` |  |
| extraVolumeMounts | list | `[]` |  |
| extraVolumes | list | `[]` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.pullSecret | string | `""` |  |
| image.repository | string | `"justwatch/elasticsearch_exporter"` |  |
| image.tag | string | `"1.1.0"` |  |
| log.format | string | `"logfmt"` |  |
| log.level | string | `"info"` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podLabels | object | `{}` |  |
| podSecurityPolicies.enabled | bool | `false` |  |
| priorityClassName | string | `""` |  |
| prometheusRule.enabled | bool | `false` |  |
| prometheusRule.labels | object | `{}` |  |
| prometheusRule.rules | list | `[]` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| restartPolicy | string | `"Always"` |  |
| secretMounts | list | `[]` |  |
| securityContext.enabled | bool | `true` |  |
| securityContext.runAsUser | int | `1000` |  |
| service.annotations | object | `{}` |  |
| service.httpPort | int | `9108` |  |
| service.labels | object | `{}` |  |
| service.metricsPort.name | string | `"http"` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.automountServiceAccountToken | bool | `true` |  |
| serviceAccount.create | bool | `false` |  |
| serviceAccount.name | string | `"default"` |  |
| serviceMonitor.enabled | bool | `false` |  |
| serviceMonitor.interval | string | `"10s"` |  |
| serviceMonitor.labels | object | `{}` |  |
| serviceMonitor.metricRelabelings | list | `[]` |  |
| serviceMonitor.relabelings | list | `[]` |  |
| serviceMonitor.sampleLimit | int | `0` |  |
| serviceMonitor.scheme | string | `"http"` |  |
| serviceMonitor.scrapeTimeout | string | `"10s"` |  |
| serviceMonitor.targetLabels | list | `[]` |  |
| tolerations | list | `[]` |  |
| web.path | string | `"/metrics"` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
